Main Page | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# VrmlAPI_RepresentationOfShape.hxx File Reference

`#include <Standard_PrimitiveTypes.hxx>`

## Enumerations
enum | VrmlAPI_RepresentationOfShape { VrmlAPI_ShadedRepresentation, VrmlAPI_WireFrameRepresentation, VrmlAPI_BothRepresentation }
| Identifies the representation of the shape written to a VRML file. The available options are : - VrmlAPI_ShadedRepresentation : the shape is translated with a shaded representation. - VrmlAPI_WireFrameRepresentation : the shape is translated with a wireframe representation. - VrmlAPI_BothRepresentation : the shape is translated to VRML format with both representations : shaded and wireframe. This is the default option. . More...

## Enumeration Type Documentation

enum VrmlAPI_RepresentationOfShape

  | Enumeration values:
  VrmlAPI_ShadedRepresentation |
  VrmlAPI_WireFrameRepresentation |
  VrmlAPI_BothRepresentation |